Bug 1478632 - proposed installs are missing from transaction history
proposed installs are missing from transaction history
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
28
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Eduard Čuba
Fedora Extras Quality Assurance
:
: 1403876 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-05 07:06 EDT by techtonik
Modified: 2018-05-04 06:39 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description techtonik 2017-08-05 07:06:24 EDT
Description of problem:

When package is installed as a result of user executing missing command, the transaction is not created.

Steps to Reproduce:
1. make sure docker is not installed, run `docker`
2. hit `y` to install proposed `docker-common`
3. `sudo dnf remove docker-common`

Actual results:
$ sudo dnf history 
ID     | Command line             | Date and time    | Action(s)      | Altered
-------------------------------------------------------------------------------
     2 | remove docker-common     | 2017-08-05 11:05 | Erase          |    1  <
     1 |                          | 2017-08-05 10:31 | Install        | 1455 >E

Expected results:
$ sudo dnf history 
ID     | Command line             | Date and time    | Action(s)      | Altered
-------------------------------------------------------------------------------
     3 | remove docker-common     | 2017-08-05 11:05 | Erase          |    1  <
     2 | install docker-common
     1 |                          | 2017-08-05 10:31 | Install        | 1455 >E

Additional info:

See full log https://paste.fedoraproject.org/paste/sf88Cbaxk08MakeikxAhmQ
Comment 1 Igor Gnatenko 2017-08-09 06:52:55 EDT
The problem is in PackageKit.
Comment 2 Eduard Čuba 2017-08-10 06:48:33 EDT
Unified Software database solves this issue. - changes in dnf-transaction.c
Work is in progress: https://github.com/rpm-software-management/libdnf/pull/199
Comment 3 Jaroslav Mracek 2017-12-12 06:26:09 EST
*** Bug 1403876 has been marked as a duplicate of this bug. ***
Comment 4 Fedora End Of Life 2018-05-03 03:53:43 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 5 Eduard Čuba 2018-05-04 06:39:46 EDT
Still WIP: https://github.com/rpm-software-management/libdnf/pull/433

Note You need to log in before you can comment on or make changes to this bug.